JSON::PullParser -

# class JSON::PullParser

- JSON::PullParser
- Reference
- Object

## Overview

This class allows you to consume JSON on demand, token by token.

## Defined in:

## Constructors

- .new(input)

## Instance Method Summary

- #bool_value : Bool
- #column_number
- #float_value : Float64
- #int_value : Int64
- #kind : Kind
- #line_number
- #location : {Int32, Int32}
- #max_nesting : Int32
- #max_nesting=(max_nesting)
- #on_key(key, &block)
- #on_key!(key, &block)
- #raw_value : String
- #read?(klass : Int8.class)
- #read?(klass : Int16.class)
- #read?(klass : Int32.class)
- #read?(klass : Int64.class)
- #read?(klass : UInt8.class)
- #read?(klass : UInt16.class)
- #read?(klass : UInt32.class)
- #read?(klass : UInt64.class)
- #read?(klass : Float32.class)
- #read?(klass : Float64.class)
- #read?(klass : String.class)
- #read?(klass : Bool.class)
- #read_array(&block)
- #read_array_or_null(&block)
- #read_begin_array
- #read_begin_object
- #read_bool
- #read_bool_or_null
- #read_end_array
- #read_end_object
- #read_float
- #read_float_or_null
- #read_int
- #read_int_or_null
- #read_next
- #read_null
- #read_null_or(&block)
- #read_object(&block)
- #read_object_key
- #read_object_or_null(&block)
- #read_raw
- #read_raw(json)
- #read_string
- #read_string_or_null
- #skip
- #string_value : String

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, class class, dup dup, hash(hasher)
hash hash, inspect(io : IO) : Nil
inspect : String inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&block) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&block) try, unsafe_as(type : T.class) forall T unsafe_as

### Constructor methods inherited from class `Object`

from_json(string_or_io, root : String) : self
from_json(string_or_io) : self from_json, from_yaml(string_or_io : String | IO) : self from_yaml

## Constructor Detail

def self.new(input) #

## Instance Method Detail

def bool_value : Bool #
def column_number #
def float_value : Float64 #
def int_value : Int64 #
def kind : Kind #
def line_number #
def location : {Int32, Int32} #
def max_nesting : Int32 #
def max_nesting=(max_nesting) #
def on_key(key, &block) #
def on_key!(key, &block) #
def raw_value : String #
def read?(klass : Int8.class) #
def read?(klass : Int16.class) #
def read?(klass : Int32.class) #
def read?(klass : Int64.class) #
def read?(klass : UInt8.class) #
def read?(klass : UInt16.class) #
def read?(klass : UInt32.class) #
def read?(klass : UInt64.class) #
def read?(klass : Float32.class) #
def read?(klass : Float64.class) #
def read?(klass : String.class) #
def read?(klass : Bool.class) #
def read_array(&block) #
def read_array_or_null(&block) #
def read_begin_array #
def read_begin_object #
def read_bool #
def read_bool_or_null #
def read_end_array #
def read_end_object #
def read_float #
def read_float_or_null #
def read_int #
def read_int_or_null #
def read_next #
def read_null #
def read_null_or(&block) #
def read_object(&block) #
def read_object_key #
def read_object_or_null(&block) #
def read_raw #
def read_raw(json) #
def read_string #
def read_string_or_null #
def skip #
def string_value : String #